yi-frontend-vty-0.19.1: Vty frontend for Yi editor

Safe Haskell | None
Language | Haskell2010

Yi.Frontend.Vty.Conversions

Synopsis

- colorToAttr :: (Color -> Attr -> Attr) -> Color -> Attr -> Attr
- fromVtyEvent :: Event -> Event
- fromVtyKey :: Key -> Key
- fromVtyMod :: Modifier -> Modifier

# Documentation

colorToAttr :: (Color -> Attr -> Attr) -> Color -> Attr -> Attr Source #

Convert a Yi Attr into a Vty attribute change.

fromVtyEvent :: Event -> Event Source #

fromVtyKey :: Key -> Key Source #

fromVtyMod :: Modifier -> Modifier Source #